%define module	django-tracking

Name:		python-%{module}
Version:	0.4.1
Release:	%mkrel 10
Summary:	Django site visitor tracking, including basic blacklisting
License:	MIT
Group:		Development/Python
URL:		https://bitbucket.org/codekoala/django-tracking/
Source:		https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

Requires:	pythonegg(2)(django) >= 1.6

%description
django-tracking is a simple attempt at keeping track of visitors to
Django-powered Web sites.  It also offers basic blacklisting capabilities

%prep
%setup -q -n %{module}-%{version}

%build
%py2_build

%install
%py2_install

# Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django.?o') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS CHANGES LICENSE README.rst
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/tracking/*.py*
%{python2_sitelib}/tracking/media/
%{python2_sitelib}/tracking/templates/
%{python2_sitelib}/tracking/templatetags/
%{python2_sitelib}/django_tracking-%{version}-py%{python2_version}.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.4.1-10.mga6
+ Revision: 970490
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 0.4.1-9.mga6
+ Revision: 886885
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-8.mga5
+ Revision: 746489
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.1-7.mga5
+ Revision: 728365
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-6.mga5
+ Revision: 687998
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Apr 26 2014 daviddavid <daviddavid> 0.4.1-4.mga5
+ Revision: 618177
- fix rpmlint warning: "file-not-in-%%lang"
- fix list some files explicitly to avoid listing locale files twice
- update URL
- update doc files
- prefer use pkgconfig and pythonegg() macros
- add missing requires on python-django
- minor cosmetic change

* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-3.mga4
+ Revision: 543237
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.1-2.mga4
+ Revision: 498423
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 kharec <kharec> 0.4.1-1.mga4
+ Revision: 436252
- Update to 0.4.1
- fix source url
- use tar.gz provided by upstream
- update file list

* Sun Jan 13 2013 umeabot <umeabot> 0.2.7-2.mga3
+ Revision: 378744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 06 2011 misc <misc> 0.2.7-1.mga1
+ Revision: 95283
- imported package python-django-tracking


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.2.7-1.mga
- adapt spec to Mageia

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Dave Riches <david.r@ultracar.co.uk> - 0.2.7-1
- Packaged for Fedora

